Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class RayleighDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.RayleighDist

All Implemented Interfaces:
  Distribution

    public class RayleighDist

extends ContinuousDistribution

This class extends the class `ContinuousDistribution` for the Rayleigh distribution with location parameter a, and scale parameter β > 0. The density function is

f (x) = (x-a)/β2 e-(x-a)2/(2β2) for x >= a,

and f (x) = 0 for x < a. The distribution function is

F(x) = 1 - e-(x-a)2/(2β2) for x >= a,

and the inverse distribution function is

F-1(u) = x = a + β(-2ln(1-u))1/2 for 0 <= u <= 1.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`RayleighDist(double beta)` Constructs a `RayleighDist` object with parameters a = 0 and β = `beta`.
`RayleighDist(double a, double beta)` Constructs a `RayleighDist` object with parameters a = `a`, and β = `beta`.

Method Summary
`double` | `barF(double x)` Returns the complementary distribution function.
`static double` | `barF(double beta, double x)` Same as `barF (0, beta, x)`.
`static double` | `barF(double a, double beta, double x)` Computes the complementary distribution function.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double beta, double x)` Same as `cdf (0, beta, x)`.
`static double` | `cdf(double a, double beta, double x)` Computes the distribution function.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double beta, double x)` Same as `density (0, beta, x)`.
`static double` | `density(double a, double beta, double x)` Computes the density function.
`double` | `getA()` Returns the parameter a.
`static RayleighDist` | `getInstanceFromMLE(double[] x, int n, double a)` Creates a new instance of a Rayleigh distribution with parameters a and hat(β).
`double` | `getMean()` Returns the mean.
`static double` | `getMean(double a, double beta)` Returns the mean a + β(π/2)1/2 of the Rayleigh distribution with parameters a and β.
`static double[]` | `getMLE(double[] x, int n, double a)` Estimates the parameter β of the Rayleigh distribution using the maximum likelihood method, assuming that a is known, from the n observations x[i], i = 0, 1,…, n - 1.
`double[]` | `getParams()` Return an array containing the parameters of the current distribution in the order: [a, β].
`double` | `getSigma()` Returns the parameter β.
`double` | `getStandardDeviation()` Returns the standard deviation.
`static double` | `getStandardDeviation(double beta)` Returns the standard deviation β(2 - π/2)1/2 of the Rayleigh distribution with parameter β.
`double` | `getVariance()` Returns the variance.
`static double` | `getVariance(double beta)` Returns the variance of the Rayleigh distribution with parameter β.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double beta, double u)` Same as `inverseF (0, beta, u)`.
`static double` | `inverseF(double a, double beta, double u)` Computes the inverse of the distribution function.
`void` | `setParams(double a, double beta)` Sets the parameters a and β for this object.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RayleighDist

    public RayleighDist(double beta)

  Constructs a `RayleighDist` object with parameters a = 0 and β = `beta`.

### RayleighDist

    public RayleighDist(double a,
                        double beta)

  Constructs a `RayleighDist` object with parameters a = `a`, and β = `beta`.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### barF

    public double barF(double x)

  Description copied from class: `ContinuousDistribution`
  Returns the complementary distribution function. The default implementation computes bar(F)(x) = 1 - F(x), which is not accurate when F(x) -> 1.

  Specified by:
    `barF` in interface `Distribution`
  Overrides:
    `barF` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the complementary distribution function is evaluated
  Returns:
    complementary distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    public double getMean()

  Description copied from class: `ContinuousDistribution`
  Returns the mean.

  Specified by:
    `getMean` in interface `Distribution`
  Overrides:
    `getMean` in class `ContinuousDistribution`
  Returns:
    the mean

### getVariance

    public double getVariance()

  Description copied from class: `ContinuousDistribution`
  Returns the variance.

  Specified by:
    `getVariance` in interface `Distribution`
  Overrides:
    `getVariance` in class `ContinuousDistribution`
  Returns:
    the variance

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from class: `ContinuousDistribution`
  Returns the standard deviation.

  Specified by:
    `getStandardDeviation` in interface `Distribution`
  Overrides:
    `getStandardDeviation` in class `ContinuousDistribution`
  Returns:
    the standard deviation

### density

    public static double density(double a,
                                 double beta,
                                 double x)

  Computes the density function.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter
    `x` - the value at which the density is evaluated
  Returns:
    the density function

### density

    public static double density(double beta,
                                 double x)

  Same as `density (0, beta, x)`.

  Parameters:
    `beta` - the scale parameter
    `x` - the value at which the density is evaluated
  Returns:
    returns the density function

### cdf

    public static double cdf(double a,
                             double beta,
                             double x)

  Computes the distribution function.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter
    `x` - the value at which the distribution is evaluated
  Returns:
    returns the distribution function

### cdf

    public static double cdf(double beta,
                             double x)

  Same as `cdf (0, beta, x)`.

  Parameters:
    `beta` - the scale parameter
    `x` - the value at which the distribution is evaluated
  Returns:
    returns the distribution function

### barF

    public static double barF(double a,
                              double beta,
                              double x)

  Computes the complementary distribution function.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter
    `x` - the value at which the complementary distribution is evaluated
  Returns:
    returns the complementary distribution function

### barF

    public static double barF(double beta,
                              double x)

  Same as `barF (0, beta, x)`.

  Parameters:
    `beta` - the scale parameter
    `x` - the value at which the complementary distribution is evaluated
  Returns:
    returns the complementary distribution function

### inverseF

    public static double inverseF(double a,
                                  double beta,
                                  double u)

  Computes the inverse of the distribution function.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter
    `u` - the value at which the inverse distribution is evaluated
  Returns:
    returns the inverse of the distribution function

### inverseF

    public static double inverseF(double beta,
                                  double u)

  Same as `inverseF (0, beta, u)`.

  Parameters:
    `beta` - the scale parameter
    `u` - the value at which the inverse distribution is evaluated
  Returns:
    returns the inverse of the distribution function

### getMLE

    public static double[] getMLE(double[] x,
                                  int n,
                                  double a)

  Estimates the parameter β of the Rayleigh distribution using the maximum likelihood method, assuming that a is known, from the n observations x[i], i = 0, 1,…, n - 1. The estimate is returned in a one-element array: [hat(β)].

  Parameters:
    `x` - the list of observations to use to evaluate parameters
    `n` - the number of observations to use to evaluate parameters
    `a` - the location parameter
  Returns:
    returns the parameter [ hat(β)]

### getInstanceFromMLE

    public static RayleighDist getInstanceFromMLE(double[] x,
                                                  int n,
                                                  double a)

  Creates a new instance of a Rayleigh distribution with parameters a and hat(β). This last is estimated using the maximum likelihood method based on the n observations x[i], i = 0,…, n - 1.

  Parameters:
    `x` - the list of observations to use to evaluate parameters
    `n` - the number of observations to use to evaluate parameters
    `a` - the location parameter

### getMean

    public static double getMean(double a,
                                 double beta)

  Returns the mean a + β(π/2)1/2 of the Rayleigh distribution with parameters a and β.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter
  Returns:
    the mean of the Rayleigh distribution

### getVariance

    public static double getVariance(double beta)

  Returns the variance of the Rayleigh distribution with parameter β.

  Parameters:
    `beta` - the scale parameter
  Returns:
    the variance of the Rayleigh distribution

### getStandardDeviation

    public static double getStandardDeviation(double beta)

  Returns the standard deviation β(2 - π/2)1/2 of the Rayleigh distribution with parameter β.

  Parameters:
    `beta` - the scale parameter
  Returns:
    the standard deviation of the Rayleigh distribution

### getA

    public double getA()

  Returns the parameter a.

  Returns:
    the location parameter a

### getSigma

    public double getSigma()

  Returns the parameter β.

  Returns:
    the scale parameter beta

### setParams

    public void setParams(double a,
                          double beta)

  Sets the parameters a and β for this object.

  Parameters:
    `a` - the location parameter
    `beta` - the scale parameter

### getParams

    public double[] getParams()

  Return an array containing the parameters of the current distribution in the order: [a, β].

  Returns:
    [a, β]

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.